%ifarch alpha ia64 ppc64 s390x sparc64 x86_64
%global flavor gcc64pthr
%else
%global flavor gcc32pthr
%endif

Name:		globus-gram-client-tools
%global _name %(tr - _ <<< %{name})
Version:	8.1
Release:	1%{?dist}
Summary:	Globus Toolkit - Job Management Tools (globusrun)

Group:		Applications/Internet
License:	ASL 2.0
URL:		http://www.globus.org/
#		Source is extracted from the globus toolkit installer:
#		wget -N http://www-unix.globus.org/ftppub/gt5/5.0/5.0.1/installers/src/gt5.0.1-all-source-installer.tar.bz2
#		tar -jxf gt5.0.1-all-source-installer.tar.bz2
#		mv gt5.0.1-all-source-installer/source-trees/gram_client_tools/source globus_gram_client_tools-8.1
#		cp -p gt5.0.1-all-source-installer/source-trees/core/source/GLOBUS_LICENSE globus_gram_client_tools-8.1
#		tar -zcf globus_gram_client_tools-8.1.tar.gz globus_gram_client_tools-8.1
Source:		%{_name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:	globus-common-progs >= 3
Requires:	globus-common-setup >= 2
BuildRequires:	grid-packaging-tools
BuildRequires:	globus-common-devel%{?_isa} >= 3
BuildRequires:	globus-rsl-assist-devel%{?_isa} >= 2
BuildRequires:	globus-gass-server-ez-devel%{?_isa} >= 2
BuildRequires:	globus-gram-client-devel%{?_isa} >= 9
BuildRequires:	globus-gss-assist-devel%{?_isa} >= 3
BuildRequires:	globus-rsl-devel%{?_isa} >= 2
BuildRequires:	globus-core%{?_isa} >= 4

%description
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The %{name} package contains:
Job Management Tools (globusrun)

%prep
%setup -q -n %{_name}-%{version}

%build
# Remove files that should be replaced during bootstrap
rm -f doxygen/Doxyfile*
rm -f doxygen/Makefile.am
rm -f pkgdata/Makefile.am
rm -f globus_automake*
rm -rf autom4te.cache

%{_datadir}/globus/globus-bootstrap.sh

%configure --with-flavor=%{flavor}

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

GLOBUSPACKAGEDIR=$RPM_BUILD_ROOT%{_datadir}/globus/packages

# Install license file
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
install -m 644 -p GLOBUS_LICENSE $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

# Generate package filelists
cat $GLOBUSPACKAGEDIR/%{_name}/%{flavor}_pgm.filelist \
    $GLOBUSPACKAGEDIR/%{_name}/noflavor_doc.filelist \
  | sed -e s!^!%{_prefix}! -e 's!.*/man/.*!%doc &*!' > package.filelist

%clean
rm -rf $RPM_BUILD_ROOT

%files -f package.filelist
%defattr(-,root,root,-)
%dir %{_datadir}/globus/packages/%{_name}
%dir %{_docdir}/%{name}-%{version}
%doc %{_docdir}/%{name}-%{version}/GLOBUS_LICENSE

%changelog
* Wed Apr 14 2010 Mattias Ellert <mattias.ellert@fysast.uu.se> - 8.1-1
- Update to Globus Toolkit 5.0.1
- Drop patch globus-gram-client-tools.patch (fixed upstream)

* Sat Jan 23 2010 Mattias Ellert <mattias.ellert@fysast.uu.se> - 7.3-1
- Update to Globus Toolkit 5.0.0

* Tue Jul 28 2009 Mattias Ellert <mattias.ellert@fysast.uu.se> - 5.0-1
- Autogenerated
